- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Typedefs | Enumerations
Edje Text Cursor
Edje Text Part

Functions that deal with cursor in text parts. More...

## Typedefs
typedef enum _Edje_Cursor | Edje_Cursor

## Enumerations
enum | _Edje_Cursor { EDJE_CURSOR_MAIN, EDJE_CURSOR_SELECTION_BEGIN, EDJE_CURSOR_SELECTION_END, EDJE_CURSOR_PREEDIT_START, EDJE_CURSOR_PREEDIT_END, EDJE_CURSOR_USER, EDJE_CURSOR_USER_EXTRA }
#define | edje_obj_part_text_cursor_next(part, cur, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_NEXT), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Eina_Bool *, ret)
| Advances the cursor to the next cursor position. More...
#define | edje_obj_part_text_cursor_prev(part, cur, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_PREV), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Eina_Bool *, ret)
| Moves the cursor to the previous char. More...
#define | edje_obj_part_text_cursor_up(part, cur, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_UP), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Eina_Bool *, ret)
| Move the cursor to the char above the current cursor position. More...
#define | edje_obj_part_text_cursor_down(part, cur, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_DOWN), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Eina_Bool *, ret)
| Moves the cursor to the char below the current cursor position. More...
#define | edje_obj_part_text_cursor_begin_set(part, cur) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_BEGIN_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur)
| Moves the cursor to the beginning of the text part. More...
#define | edje_obj_part_text_cursor_end_set(part, cur) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_END_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur)
| Moves the cursor to the end of the text part. More...
#define | edje_obj_part_text_cursor_copy(part, src, dst) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_COPY), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, src), EO_TYPECHECK(Edje_Cursor, dst)
| Copy the cursor to another cursor. More...
#define | edje_obj_part_text_cursor_line_begin_set(part, cur) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_LINE_BEGIN_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur)
| Move the cursor to the beginning of the line. More...
#define | edje_obj_part_text_cursor_line_end_set(part, cur) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_LINE_END_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur)
| Move the cursor to the end of the line. More...
#define | edje_obj_part_text_cursor_coord_set(part, cur, x, y, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_COORD_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(Eina_Bool *, ret)
#define | edje_obj_part_text_cursor_is_format_get(part, cur, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_IS_FORMAT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Eina_Bool *, ret)
| Returns whether the cursor points to a format. More...
#define | edje_obj_part_text_cursor_is_visible_format_get(part, cur, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_IS_VISIBLE_FORMAT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Eina_Bool *, ret)
| Return true if the cursor points to a visible format. More...
#define | edje_obj_part_text_cursor_content_get(part, cur, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_CONTENT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(char **, ret)
| Returns the content (char) at the cursor position. More...
#define | edje_obj_part_text_cursor_pos_set(part, cur, pos) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_POS_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(int, pos)
| Sets the cursor position to the given value. More...
#define | edje_obj_part_text_cursor_pos_get(part, cur, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_POS_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(int *, ret)
| Retrieves the current position of the cursor. More...
#define | edje_obj_part_text_cursor_geometry_get(part, x, y, w, h) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_GEOMETRY_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Coord *, x), EO_TYPECHECK(Evas_Coord *, y), EO_TYPECHECK(Evas_Coord *, w), EO_TYPECHECK(Evas_Coord *, h)
| Returns the cursor geometry of the part relative to the edje. More...
Eina_Bool | edje_object_part_text_cursor_next (Evas_Object *obj, const char *part, Edje_Cursor cur)
| Advances the cursor to the next cursor position. More...
Eina_Bool | edje_object_part_text_cursor_prev (Evas_Object *obj, const char *part, Edje_Cursor cur)
| Moves the cursor to the previous char. More...
Eina_Bool | edje_object_part_text_cursor_up (Evas_Object *obj, const char *part, Edje_Cursor cur)
| Move the cursor to the char above the current cursor position. More...
Eina_Bool | edje_object_part_text_cursor_down (Evas_Object *obj, const char *part, Edje_Cursor cur)
| Moves the cursor to the char below the current cursor position. More...
void | edje_object_part_text_cursor_begin_set (Evas_Object *obj, const char *part, Edje_Cursor cur)
| Moves the cursor to the beginning of the text part. More...
void | edje_object_part_text_cursor_end_set (Evas_Object *obj, const char *part, Edje_Cursor cur)
| Moves the cursor to the end of the text part. More...
void | edje_object_part_text_cursor_copy (Evas_Object *obj, const char *part, Edje_Cursor src, Edje_Cursor dst)
| Copy the cursor to another cursor. More...
void | edje_object_part_text_cursor_line_begin_set (Evas_Object *obj, const char *part, Edje_Cursor cur)
| Move the cursor to the beginning of the line. More...
void | edje_object_part_text_cursor_line_end_set (Evas_Object *obj, const char *part, Edje_Cursor cur)
| Move the cursor to the end of the line. More...
Eina_Bool | edje_object_part_text_cursor_coord_set (Evas_Object *obj, const char *part, Edje_Cursor cur, Evas_Coord x, Evas_Coord y)
| Position the given cursor to a X,Y position. More...
Eina_Bool | edje_object_part_text_cursor_is_format_get (const Evas_Object *obj, const char *part, Edje_Cursor cur)
| Returns whether the cursor points to a format. More...
Eina_Bool | edje_object_part_text_cursor_is_visible_format_get (const Evas_Object *obj, const char *part, Edje_Cursor cur)
| Return true if the cursor points to a visible format For example \t, \n, item and etc. More...
char * | edje_object_part_text_cursor_content_get (const Evas_Object *obj, const char *part, Edje_Cursor cur)
| Returns the content (char) at the cursor position. More...
void | edje_object_part_text_cursor_pos_set (Evas_Object *obj, const char *part, Edje_Cursor cur, int pos)
| Sets the cursor position to the given value. More...
int | edje_object_part_text_cursor_pos_get (const Evas_Object *obj, const char *part, Edje_Cursor cur)
| Retrieves the current position of the cursor. More...
void | edje_object_part_text_cursor_geometry_get (const Evas_Object *obj, const char *part, Evas_Coord *x, Evas_Coord *y, Evas_Coord *w, Evas_Coord *h)
| Returns the cursor geometry of the part relative to the edje object. More...

## Detailed Description

Functions that deal with cursor in text parts.

Cursor is a known functionality for texts in the whole computational world. It marks a position in the text from where one may want to make a insertion, deletion or selection.

Edje is responsible for handling this functionality through the following functions.

## Macro Definition Documentation

#define edje_obj_part_text_cursor_next | ( |  | part,
|  |  | cur,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_NEXT), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Eina_Bool *, ret)

Advances the cursor to the next cursor position.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |
  [out] | ret |

See Also
  edje_object_part_text_cursor_next

Referenced by edje_object_part_text_cursor_next().

#define edje_obj_part_text_cursor_prev | ( |  | part,
|  |  | cur,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_PREV), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Eina_Bool *, ret)

Moves the cursor to the previous char.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |
  [out] | ret |

See Also
  edje_object_part_text_cursor_prev

Referenced by edje_object_part_text_cursor_prev().

#define edje_obj_part_text_cursor_up | ( |  | part,
|  |  | cur,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_UP), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Eina_Bool *, ret)

Move the cursor to the char above the current cursor position.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |
  [out] | ret |

See Also
  edje_object_part_text_cursor_up

Referenced by edje_object_part_text_cursor_up().

#define edje_obj_part_text_cursor_down | ( |  | part,
|  |  | cur,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_DOWN), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Eina_Bool *, ret)

Moves the cursor to the char below the current cursor position.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |
  [out] | ret |

See Also
  edje_object_part_text_cursor_down

Referenced by edje_object_part_text_cursor_down().

#define edje_obj_part_text_cursor_begin_set | ( |  | part,
|  |  | cur
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_BEGIN_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur)

Moves the cursor to the beginning of the text part.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |

See Also
  edje_object_part_text_cursor_begin_set

Referenced by edje_object_part_text_cursor_begin_set().

#define edje_obj_part_text_cursor_end_set | ( |  | part,
|  |  | cur
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_END_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur)

Moves the cursor to the end of the text part.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |

See Also
  edje_object_part_text_cursor_end_set

Referenced by edje_object_part_text_cursor_end_set().

#define edje_obj_part_text_cursor_copy | ( |  | part,
|  |  | src,
|  |  | dst
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_COPY), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, src), EO_TYPECHECK(Edje_Cursor, dst)

Copy the cursor to another cursor.

Since
  1.8

Parameters

  [in] | part |
  [in] | src |
  [in] | dst |

See Also
  edje_object_part_text_cursor_copy

Referenced by edje_object_part_text_cursor_copy().

#define edje_obj_part_text_cursor_line_begin_set | ( |  | part,
|  |  | cur
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_LINE_BEGIN_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur)

Move the cursor to the beginning of the line.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |

See Also
  edje_object_part_text_cursor_line_begin_set

Referenced by edje_object_part_text_cursor_line_begin_set().

#define edje_obj_part_text_cursor_line_end_set | ( |  | part,
|  |  | cur
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_LINE_END_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur)

Move the cursor to the end of the line.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |

See Also
  edje_object_part_text_cursor_line_end_set

Referenced by edje_object_part_text_cursor_line_end_set().

#define edje_obj_part_text_cursor_coord_set | ( |  | part,
|  |  | cur,
|  |  | x,
|  |  | y,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_COORD_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Position the given cursor to a X,Y position.

Parameters

  [in] | part |
  [in] | cur |
  [in] | x |
  [in] | y |
  [out] | ret |

See Also
  edje_object_part_text_cursor_coord_set

Referenced by edje_object_part_text_cursor_coord_set().

#define edje_obj_part_text_cursor_is_format_get | ( |  | part,
|  |  | cur,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_IS_FORMAT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Eina_Bool *, ret)

Returns whether the cursor points to a format.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |
  [out] | ret |

See Also
  edje_object_part_text_cursor_is_format_get

Referenced by edje_object_part_text_cursor_is_format_get().

#define edje_obj_part_text_cursor_is_visible_format_get | ( |  | part,
|  |  | cur,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_IS_VISIBLE_FORMAT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(Eina_Bool *, ret)

Return true if the cursor points to a visible format.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |
  [out] | ret |

See Also
  edje_object_part_text_cursor_is_visible_format_get

Referenced by edje_object_part_text_cursor_is_visible_format_get().

#define edje_obj_part_text_cursor_content_get | ( |  | part,
|  |  | cur,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_CONTENT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(char **, ret)

Returns the content (char) at the cursor position.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |
  [out] | ret |

See Also
  edje_object_part_text_cursor_content_get

Referenced by edje_object_part_text_cursor_content_get().

#define edje_obj_part_text_cursor_pos_set | ( |  | part,
|  |  | cur,
|  |  | pos
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_POS_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(int, pos)

Sets the cursor position to the given value.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |
  [in] | pos |

See Also
  edje_object_part_text_cursor_pos_set

Referenced by edje_object_part_text_cursor_pos_set().

#define edje_obj_part_text_cursor_pos_get | ( |  | part,
|  |  | cur,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_POS_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Cursor, cur), EO_TYPECHECK(int *, ret)

Retrieves the current position of the cursor.

Since
  1.8

Parameters

  [in] | part |
  [in] | cur |
  [out] | ret |

See Also
  edje_object_part_text_cursor_pos_get

Referenced by edje_object_part_text_cursor_pos_get().

#define edje_obj_part_text_cursor_geometry_get | ( |  | part,
|  |  | x,
|  |  | y,
|  |  | w,
|  |  | h
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_CURSOR_GEOMETRY_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Coord *, x), EO_TYPECHECK(Evas_Coord *, y), EO_TYPECHECK(Evas_Coord *, w), EO_TYPECHECK(Evas_Coord *, h)

Returns the cursor geometry of the part relative to the edje.

Since
  1.8

Parameters

  [in] | part |
  [out] | x |
  [out] | y |
  [out] | w |
  [out] | h |

See Also
  edje_object_part_text_cursor_geometry_get

Referenced by edje_object_part_text_cursor_geometry_get().

## Function Documentation

Eina_Bool edje_object_part_text_cursor_next | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur
| ) |  |

Advances the cursor to the next cursor position.

See Also
  evas_textblock_cursor_char_next

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | The edje cursor to advance

References edje_obj_part_text_cursor_next, and EINA_FALSE.

Eina_Bool edje_object_part_text_cursor_prev | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur
| ) |  |

Moves the cursor to the previous char.

See Also
  evas_textblock_cursor_char_prev

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | the edje cursor to work on

References edje_obj_part_text_cursor_prev, and EINA_FALSE.

Eina_Bool edje_object_part_text_cursor_up | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur
| ) |  |

Move the cursor to the char above the current cursor position.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | the edje cursor to work on

References edje_obj_part_text_cursor_up, and EINA_FALSE.

Eina_Bool edje_object_part_text_cursor_down | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur
| ) |  |

Moves the cursor to the char below the current cursor position.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | the edje cursor to work on

References edje_obj_part_text_cursor_down, and EINA_FALSE.

void edje_object_part_text_cursor_begin_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur
| ) |  |

Moves the cursor to the beginning of the text part.

See Also
  evas_textblock_cursor_paragraph_first

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | the edje cursor to work on

References edje_obj_part_text_cursor_begin_set.

void edje_object_part_text_cursor_end_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur
| ) |  |

Moves the cursor to the end of the text part.

See Also
  evas_textblock_cursor_paragraph_last

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | the edje cursor to work on

References edje_obj_part_text_cursor_end_set.

void edje_object_part_text_cursor_copy | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | src,
|  | Edje_Cursor | dst
| ) |  |

Copy the cursor to another cursor.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  src | the cursor to copy from
  dst | the cursor to copy to

References edje_obj_part_text_cursor_copy.

void edje_object_part_text_cursor_line_begin_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur
| ) |  |

Move the cursor to the beginning of the line.

See Also
  evas_textblock_cursor_line_char_first

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | the edje cursor to work on

References edje_obj_part_text_cursor_line_begin_set.

void edje_object_part_text_cursor_line_end_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur
| ) |  |

Move the cursor to the end of the line.

See Also
  evas_textblock_cursor_line_char_last

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | the edje cursor to work on

References edje_obj_part_text_cursor_line_end_set.

Eina_Bool edje_object_part_text_cursor_coord_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur,
|  | Evas_Coord | x,
|  | Evas_Coord | y
| ) |  |

Position the given cursor to a X,Y position.

This is frequently used with the user cursor.

Parameters

  obj | An Edje object.
  part | The part containing the object.
  cur | The cursor to adjust.
  x | X Coordinate.
  y | Y Coordinate.

Returns
  True on success, false on error.

References edje_obj_part_text_cursor_coord_set, and EINA_FALSE.

Eina_Bool edje_object_part_text_cursor_is_format_get | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur
| ) |  |

Returns whether the cursor points to a format.

See Also
  evas_textblock_cursor_is_format

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | The cursor to adjust.

Returns
  EINA_TRUE if it's true, EINA_FALSE otherwise.

References edje_obj_part_text_cursor_is_format_get, and EINA_FALSE.

Eina_Bool edje_object_part_text_cursor_is_visible_format_get | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur
| ) |  |

Return true if the cursor points to a visible format For example \t, \n, item and etc.

See Also
  evas_textblock_cursor_format_is_visible_get

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | The cursor to adjust.

References edje_obj_part_text_cursor_is_visible_format_get, and EINA_FALSE.

char* edje_object_part_text_cursor_content_get | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur
| ) |  |

Returns the content (char) at the cursor position.

See Also
  evas_textblock_cursor_content_get

You must free the return (if not NULL) after you are done with it.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | The cursor to use

Returns
  The character string pointed to (may be a multi-byte utf8 sequence) terminated by a nul byte.

References edje_obj_part_text_cursor_content_get.

void edje_object_part_text_cursor_pos_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur,
|  | int | pos
| ) |  |

Sets the cursor position to the given value.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | The cursor to move
  pos | the position of the cursor

Since
  1.1.0

References edje_obj_part_text_cursor_pos_set.

int edje_object_part_text_cursor_pos_get | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Cursor | cur
| ) |  |

Retrieves the current position of the cursor.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cur | The cursor to get the position

Returns
  The cursor position

Since
  1.1.0

References edje_obj_part_text_cursor_pos_get.

void edje_object_part_text_cursor_geometry_get | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | Evas_Coord * | x,
|  | Evas_Coord * | y,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Returns the cursor geometry of the part relative to the edje object.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  x | Cursor X position
  y | Cursor Y position
  w | Cursor width
  h | Cursor height

References edje_obj_part_text_cursor_geometry_get.